/*
##############################################################################
# 
# Copyright by The HDF Group.
# All rights reserved.
#
# This file is part of the hl_region High-Level HDF5 APIs.  The full copyright 
# notice, including terms governing use, modification, and redistribution, 
# is contained in the file COPYING, which can be found at the root of the
# source code distribution tree and in the documentation directory (doc/html/). 
# If you do not have access to this file, you may request a copy of 
# "the hl_region High-Level HDF5 APIs copyright and license statement" from 
# help@hdfgroup.org.
# 
##############################################################################
*/

#ifndef _hl_region_H5LTprivate_H
#define _hl_region_H5LTprivate_H

/* High-level library internal header file */
#include "hl_region_H5HLprivate2.h"

/* public LT prototypes			*/
#include "hl_region_H5LTpublic.h"

/*-------------------------------------------------------------------------
 * Private functions
 *-------------------------------------------------------------------------
 */

H5_HLDLL herr_t  H5LT_get_attribute_disk( hid_t obj_id,
                           const char *attr_name,
                           void *data );

H5_HLDLL herr_t  H5LT_set_attribute_numerical( hid_t loc_id,
                                     const char *obj_name,
                                     const char *attr_name,
                                     size_t size,
                                     hid_t type_id,
                                     const void *data );

H5_HLDLL herr_t  H5LT_set_attribute_string( hid_t dset_id,
                                 const char *name,
                                 const char *buf );

H5_HLDLL herr_t  H5LT_find_attribute( hid_t loc_id, const char *name );


H5_HLDLL herr_t  H5LT_dtype_to_text(hid_t dtype, char **dt_str, H5LT_lang_t lang,
                                    size_t *slen, hbool_t no_user_buf);


#endif
